#ifndef SCANROOTEXE_HH
#define SCANROOTEXE_HH

class ScanRootGui;

// FIL I/O methods
void openInput(char* file); // opens a FIL file for INPUT
void closeInput(); // closes the input file
void openOutput(char* file,int out = 0); // opens a FILL file for output. Maximum 4 outputs
void closeOutput(int out = 0); // closes the output file
void saveOnlyNewPar(bool = false); // if true saves only the new parameters to the output file

// histogram/trigger I/O methods
void addHist(char* file); // adds histograms saved in a file to the memory
void saveHist(char* file); // saves all the histograms in the memory to a file
void hac(char* file);  // loads histogram code to the memory for data processing
void loadL2(char* file);  // loads a software filter code to the memory for data processing
void unloadL2();  // unloads the software filter code

// data processing methods
void cd();  // sets the current directory to the ScanRoot top directory
void zero(); // zeroes all histograms
void zero(char*); // zeroes the histogram defined by name
void go(int = 0); // processes N events from a FIL file. If N==0, or not given, processes the entire file
void tools(); // opens a PelTools window
void setNPar(int=128); // sets the maximum number of parameter to process. 
void debug(bool = false); // turns on/off the debug mode. default value is false
void smearing(bool = false); // turns on/off data smearing inside a single bin. default value is false

// other stuff
void stat(); // shows statistics
void help(); // opens a browser windows with the documentation

ScanRootGui* getScan(); // gets a pointer to ScanRootGui object in the memory

#endif

